* 工具介绍
----------
KAPIChecker 是一个内核API兼容性检查工具，它通过检查内核头文件来判断KAPI的兼容性，
规范文档放在kapi 目录下，用户需要提供待检测内核头文件目录。
也可以直接提供操作系统iso 或 内核头文件包使用 run_kapicheck.sh 工具来运行, 如:
	./run_kapicheck.sh --iso openEuler-24.03-LTS-x86_64-dvd.iso
	./run_kapicheck.sh --rpm kernel-devel-6.6.0.x86_64.rpm

如果需要更新规范文档，把规范文件放到kapi目录下，传递--kapi 参数,如:
	./run_kapicheck.sh --rpm kernel-devel-6.6.0.x86_64.rpm --kapi new.docx

运行完毕后， 检查结果在 results/report-%Y-%m-%d-%H-%M-%S.pdf

KAPIChecker.py
==============
检查工具， python3 KAPIChecker.py -h 可查看帮助信息。
需要安装: pip install python-docx  pycparser reportlab matplotlib  svglib

run_kapicheck.sh
================
一个帮助脚本，用户可以提供iso或内核头文件包，它会解压并提取内核文件，调用KAPIChecker.py来检查。
如果检查现有的头文件目录， 可直接运行 KAPIChecker.py -d 头文件根目录

运行依赖包： coreutils, rpm2cpio（debian）/rpm(fedora), dpkg，squashfs-tools
debian系统下安装依赖: sudo apt install coreutils rpm2cpio dpkg squashfs-tools
fedora系统下安装依赖：sudo yum install coreutils rpm dpkg squashfs-tools

运行示例：
  显示帮助
	./run_kapicheck.sh -h
  检测rpm包
	./run_kapicheck.sh -p kernel-devel-4.18.0-348.7.1.el8_5.x86_64.rpm
  检测deb包
	./run_kapicheck.sh -p linux-headers-5.4.0-100-generic_5.4.0-100.1+m46+6nfs5_amd64.deb
  检测iso文件
	./run_kapicheck.sh -i NFSDesktop-5.0-G212-202303282042-amd64.iso

提醒：检测iso文件时，需要root权限，检测过程中可能出现交互界面，详情参见./run_kapicheck.sh -h

* 开源许可证
-----------
本程序代码在GPLv2下发布。
有关协议内容请查阅源码目录下的LICENSE 或
https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
